ru.bitel.bgbilling.plugins.bonus.server

## Class PluginServerListener

- java.lang.Object
- - ru.bitel.bgbilling.server.WebMenuBase
  - - ru.bitel.bgbilling.plugins.bonus.server.PluginServerListener

- All Implemented Interfaces:
    EventListener<Event>, ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnDestroyServer, ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer, ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract, ru.bitel.bgbilling.server.WebMenu

      public class PluginServerListener
      extends ru.bitel.bgbilling.server.WebMenuBase
      implements ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer, ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnDestroyServer, ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract, EventListener<Event>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginServerListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<MenuItem>` | `getContractWebMenuItems(java.sql.Connection con, java.lang.String module, int moduleId, int contractId)`
    `void` | `notify(Event event, EventListenerContext ctx)`
    `void` | `onDestroyServer(java.lang.String applicationName)`
    `void` | `onInitServer(java.lang.String applicationName)`
    `void` | `serializeContract(java.sql.Connection con, int cid, javax.xml.stream.XMLStreamWriter writer, boolean onlyCurrent)`

    - ### Methods inherited from class ru.bitel.bgbilling.server.WebMenuBase

      `disableContractWebMenuItems, getWebMenuItems, getWebMenuItems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginServerListener

          public PluginServerListener()

  - ### Method Detail

    - #### notify

          public void notify(Event event,
                             EventListenerContext ctx)
                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `notify` in interface `EventListener<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### onInitServer

          public void onInitServer(java.lang.String applicationName)

      Specified by:
        `onInitServer` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer`

    - #### onDestroyServer

          public void onDestroyServer(java.lang.String applicationName)

      Specified by:
        `onDestroyServer` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnDestroyServer`

    - #### serializeContract

          public void serializeContract(java.sql.Connection con,
                                        int cid,
                                        javax.xml.stream.XMLStreamWriter writer,
                                        boolean onlyCurrent)
                                 throws java.sql.SQLException,
                                        javax.xml.stream.XMLStreamException

      Specified by:
        `serializeContract` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract`
      Throws:
        `java.sql.SQLException`
        `javax.xml.stream.XMLStreamException`

    - #### getContractWebMenuItems

          public java.util.List<MenuItem> getContractWebMenuItems(java.sql.Connection con,
                                                                  java.lang.String module,
                                                                  int moduleId,
                                                                  int contractId)
                                                           throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getContractWebMenuItems` in interface `ru.bitel.bgbilling.server.WebMenu`
      Overrides:
        `getContractWebMenuItems` in class `ru.bitel.bgbilling.server.WebMenuBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`